Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | PROPERTY | CONSTR | METHOD | DETAIL: FIELD | PROPERTY | CONSTR | METHOD

## org.codehaus.groovy.grails.web.controllers
[Groovy] Class DefaultControllerExceptionHandlerMetaData

    java.lang.Object
      org.codehaus.groovy.grails.web.controllers.DefaultControllerExceptionHandlerMetaData

All Implemented Interfaces:
  ControllerExceptionHandlerMetaData

    @groovy.transform.Immutable(knownImmutableClasses = [Class])
    class DefaultControllerExceptionHandlerMetaData
    extends java.lang.Object

Represents meta data which describes an exception handling method in a controller

Since:
  2.3

Property Summary
`java.lang.Class` | `exceptionType`
`java.lang.String` | `methodName`

Method Summary

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### exceptionType

    java.lang.Class exceptionType

### methodName

    java.lang.String methodName

Groovy Documentation